# Errors

Module for GVM errors

exception gvm.errors.GvmClientError(message, *args)

  An exception for gvm client errors

  Base class for all exceptions originating in python-gvm.

exception gvm.errors.GvmError(message, *args)

  An exception for gvm errors

  Base class for all exceptions originating in python-gvm.

exception gvm.errors.GvmResponseError(status=None, message=None)

  An exception for gvm server errors

  Derives from `GvmClientError`

  Parameters

    - status (`Optional`[`str`]) – The HTTP response status

    - message (`Optional`[`str`]) – Error message to be displayed. Takes precedence over argument and function

exception gvm.errors.GvmServerError(status=None, message=None)

  An exception for gvm server errors

  Derives from `GvmError`

  Parameters

    - status (`Optional`[`str`]) – The HTTP response status

    - message (`Optional`[`str`]) – Error message to be displayed. Takes precedence over argument and function

exception gvm.errors.InvalidArgument(message=None, *, argument=None, function=None)

  Raised if an invalid argument/parameter is passed

  Derives from `GvmError`

  Parameters

    - message (`Optional`[`str`]) – Error message to be displayed. Takes precedence over argument and function

    - argument (`Optional`[`str`]) – Optional name of the invalid argument

    - function (`Optional`[`str`]) – Optional name of the called function

exception gvm.errors.InvalidArgumentType(argument=None, arg_type=None, *, function=None)

  Raised if a passed argument has an invalid type

  Derives from `GvmError`

  Parameters

    - argument (`Optional`[`str`]) – Name of the invalid argument

    - arg_type (`Optional`[`str`]) – The correct argument type

    - function (`Optional`[`str`]) – Optional name of the called function

exception gvm.errors.RequiredArgument(message=None, *, argument=None, function=None)

  Raised if a required argument/parameter is missing

  Derives from `GvmError`

  Parameters

    - message (`Optional`[`str`]) – Error message to be displayed. Takes precedence over argument and function.

    - argument (`Optional`[`str`]) – Optional name of the required argument.

    - function (`Optional`[`str`]) – Optional name of the called function.